List all product references
curl --request GET \
--url https://api.komerza.com/stores/{storeId}/products/all \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.komerza.com/stores/{storeId}/products/all"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.komerza.com/stores/{storeId}/products/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"code": "<string>",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"imageNames": [
"<string>"
],
"rating": 123,
"order": 123,
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost": 123,
"minimumQuantity": 123,
"maximumQuantity": 123,
"order": 123,
"requireDiscordAuthorization": true,
"deliveryTypes": [
"<string>"
],
"imageNames": [
"<string>"
],
"stock": 123,
"hideStock": true,
"isOutOfStock": true,
"customFields": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"identifier": "<string>",
"type": "<string>",
"isRequired": true,
"options": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customFieldId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"value": "<string>",
"order": 123
}
],
"placeholder": "<string>",
"hint": "<string>"
}
],
"volumeDiscounts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"discountValue": 123
}
],
"disableVolumeDiscountOnCoupon": true,
"randomizeKeyDelivery": true,
"description": "<string>",
"customIntervalDays": 123
}
],
"badges": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"order": 123,
"color": "<string>"
}
],
"isBestSeller": true,
"hideStock": true,
"affiliateDiscountMode": 123,
"slug": "<string>",
"metadata": "<string>",
"customAffiliateDiscountPercentage": 123
}
]
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}Products
Get All Products
Retrieves all products in the store as redacted references (no pagination).
Requires the stores.products.view permission.
GET
/
stores
/
{storeId}
/
products
/
all
List all product references
Authorizations
Your API key goes here
Path Parameters
The ID of the store.
Response
The object was successfully returned.
Represents a default generic response for API endpoints.
Indicates whether the operation or response was successful.
A descriptive message providing additional context or information about the response.
The error code (if there was an error) to use when referencing the error
Represents the data associated with a response.
Show child attributes
Show child attributes
Last modified on August 29, 2025
⌘I